Skip to main content
GET
/
partners
/
marketplace
/
demands
/
{demandId}
Get Marketplace Advertiser
curl --request GET \
  --url https://api.eflow.team/v1/partners/marketplace/demands/{demandId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "everxchange_demand_partner_id": 123,
  "network_id": 123,
  "company_name": "<string>",
  "status": "<string>",
  "public_description": "<string>",
  "logo_url": "<string>",
  "logo_asset_id": 123,
  "website_url": "<string>",
  "link": "<string>",
  "custom_link_label": "<string>",
  "is_internal": true,
  "is_contact_info_public": true,
  "default_network_offer_id": 123,
  "facebook_contact_url": "<string>",
  "instagram_contact_url": "<string>",
  "linkedin_contact_url": "<string>",
  "twitter_contact_url": "<string>",
  "tiktok_contact_url": "<string>",
  "youtube_contact_url": "<string>",
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "connection": {},
    "invitation": {},
    "is_featured": true,
    "main_platform_id": 123,
    "time_connected": 1734455015,
    "contact": {
      "fist_name": "<string>",
      "last_name": "<string>",
      "phone_number": "<string>",
      "email": "<string>"
    },
    "resource_asset": {
      "customer_asset_id": 123,
      "content_type": "<string>",
      "filename": "<string>",
      "url": "<string>",
      "file_size": 123,
      "time_saved": 1734455015
    },
    "everflow_pay": {
      "is_everflow_pay_enabled": true
    },
    "performance": {
      "everxchange_demand_partner_id": 123,
      "clicks_weekly": 123,
      "has_reached_weekly_threshold": true,
      "epc_weekly": 123,
      "cvr_weekly": 123,
      "clicks_monthly": 123,
      "has_reached_monthly_threshold": true,
      "epc_monthly": 123,
      "cvr_monthly": 123,
      "time_created": 1734455015,
      "time_saved": 1734455015
    },
    "programs": [
      {
        "everxchange_demand_partner_program_id": 123,
        "everxchange_demand_partner_id": 123,
        "name": "<string>",
        "preview_url": "<string>",
        "ordering_value": 123,
        "events": [
          {
            "everxchange_demand_partner_program_event_id": 123,
            "everxchange_demand_partner_program_id": 123,
            "everxchange_demand_partner_id": 123,
            "name": "<string>",
            "is_default": true,
            "payout_type_id": 123,
            "payout_value_min": 123,
            "payout_value_max": 123,
            "time_created": 1734455015,
            "time_saved": 1734455015
          }
        ],
        "time_created": 1734455015,
        "time_saved": 1734455015
      }
    ],
    "payments": {
      "everflow_pay": {
        "enabled": true
      },
      "tipalti": {
        "enabled": true
      },
      "trusted_payouts": {
        "enabled": true
      },
      "managed_payments": {
        "enabled": true
      },
      "veem": {
        "enabled": true
      },
      "paypal": {
        "enabled": true
      },
      "masspay": {
        "enabled": true
      }
    },
    "brands": [
      {
        "everxchange_demand_partner_brand_id": 123,
        "everxchange_demand_partner_id": 123,
        "name": "<string>",
        "logo_url": "<string>",
        "logo_asset_id": 123,
        "website_url": "<string>",
        "ordering_value": 123,
        "relationship": {
          "resource_asset": {
            "customer_asset_id": 123,
            "content_type": "<string>",
            "filename": "<string>",
            "url": "<string>",
            "file_size": 123,
            "time_saved": 1734455015
          }
        },
        "time_created": 1734455015,
        "time_saved": 1734455015
      }
    ],
    "terms_and_conditions": "<string>",
    "vertical_ids": [
      123
    ],
    "channel_ids": [
      123
    ],
    "geo_vertical_ids": [
      123
    ],
    "payout_type_ids": [
      123
    ],
    "network_currency_id": "<string>"
  }
}
Retrieve a single marketplace advertiser (demand partner) by their ID. Returns the full partner profile including status, description, and available connection details.

Authorizations

X-Eflow-Api-Key
string
header
required

The marketplace partner's API key. Uses the X-Eflow-Api-Key header. The key belongs to the marketplace partner user.

Path Parameters

demandId
integer
required

The unique demand partner ID.

Response

OK

A marketplace demand partner profile.

everxchange_demand_partner_id
integer

Unique demand partner ID.

network_id
integer

Network ID.

company_name
string

Demand partner name.

status
string

Current status of the demand partner (e.g. active, inactive).

public_description
string

Description of the demand partner and their offerings.

logo_url
string

URL to the demand partner's logo.

logo_asset_id
integer

Logo asset ID.

website_url
string

Demand partner's website URL.

Custom link URL.

Custom link label.

is_internal
boolean

Whether this is an internal demand partner.

is_contact_info_public
boolean

Whether contact info is public.

default_network_offer_id
integer

Default offer ID.

facebook_contact_url
string

Facebook contact URL.

instagram_contact_url
string

Instagram contact URL.

linkedin_contact_url
string

LinkedIn contact URL.

twitter_contact_url
string

Twitter contact URL.

tiktok_contact_url
string

TikTok contact URL.

youtube_contact_url
string

YouTube contact URL.

time_created
integer

Unix timestamp of when the demand partner was created.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object

Related objects for the demand partner.